package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjZjyFdsj;

/**
 * 设计信息-分段钻井液设计Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-17
 */
public interface SjZjyFdsjMapper 
{
    /**
     * 查询设计信息-分段钻井液设计
     * 
     * @param id 设计信息-分段钻井液设计主键
     * @return 设计信息-分段钻井液设计
     */
    public SjZjyFdsj selectSjZjyFdsjById(Long id);

    /**
     * 查询设计信息-分段钻井液设计列表
     * 
     * @param sjZjyFdsj 设计信息-分段钻井液设计
     * @return 设计信息-分段钻井液设计集合
     */
    public List<SjZjyFdsj> selectSjZjyFdsjList(SjZjyFdsj sjZjyFdsj);

    /**
     * 新增设计信息-分段钻井液设计
     * 
     * @param sjZjyFdsj 设计信息-分段钻井液设计
     * @return 结果
     */
    public int insertSjZjyFdsj(SjZjyFdsj sjZjyFdsj);

    /**
     * 修改设计信息-分段钻井液设计
     * 
     * @param sjZjyFdsj 设计信息-分段钻井液设计
     * @return 结果
     */
    public int updateSjZjyFdsj(SjZjyFdsj sjZjyFdsj);

    /**
     * 删除设计信息-分段钻井液设计
     * 
     * @param id 设计信息-分段钻井液设计主键
     * @return 结果
     */
    public int deleteSjZjyFdsjById(Long id);

    /**
     * 批量删除设计信息-分段钻井液设计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjZjyFdsjByIds(Long[] ids);

    int deleteSjZjyFdsjByJh(String jh);


    int insertSjZjyFdsjBatch(List<SjZjyFdsj> sjZjyFdsjList);


}
